/* 
Theme Name: Denise Hast Custom
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Denise Hast Custom is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: denise-hast-custom
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

:root {
    --e-global-color-hellblau: var(--e-global-color-69e3672);
    --e-global-color-hellgrau: var(--e-global-color-a1e4d19);
    --e-global-color-schwarz: var(--e-global-color-eeac044);
    --e-global-color-weiss: var(--e-global-color-4949542);
    --e-global-color-transparent: var(--e-global-color-7a890c7);
    --e-global-color-accent-hover: var(--e-global-color-6866f90);

    --fs-big: 1.15em;
    --fs-small: .85em;
}

h1,
h2,
h3 {
    hyphens: auto;
    text-wrap: balance;
}

.big {
    font-size: var(--fs-big);
}

.small {
    font-size: var(--fs-small);
}

.quote .elementor-heading-title {
    position: relative;
    padding: .5em 1em .5em 3em;
    
    text-align: center;
    font-size: 2em;
    font-family: var(--e-global-typography-primary-font-family);
    font-weight: 700;
    font-style: italic;
    background-color: var(--e-global-color-secondary);
    
    &::before {
        content: '"';
        position: absolute;
        top: -.2em;
        left: 0;
        
        color: var(--e-global-color-accent);
        font-size: 5em;
    }
}

.boxed-primary,
.boxed-secondary,
.boxed-accent {
    & .elementor-heading-title {
        display: inline-block;
        padding: .25em .5em;
        background-color: var(--boxed-color);
    }
}

.boxed-primary {
    --boxed-color: var(--e-global-color-primary);
}

.boxed-secondary {
    --boxed-color: var(--e-global-color-secondary);
}

.boxed-accent {
    --boxed-color: var(--e-global-color-accent);
}

.elementor-widget-text-editor {
    & h1 {
        margin-bottom: 1em;
    }
    
    & p + h2,
    & p + h3,
    & ul + h2,
    & ul + h3 {
        margin-top: 1em;
        margin-bottom: .25em;
    }
    
    & ul + p {
        margin-top: 1em;
    }
    
    & ul li + li {
        margin-bottom: .25em;
    }
}

.borlabs-cookie-open-dialog-preferences:has(button) {
    display: block;
    margin: 2em auto;
}